CVE-2024-24855

NameCVE-2024-24855
DescriptionA race condition was found in the Linux kernel's scsi device driver in lpfc_unregister_fcf_rescan() function. This can result in a null pointer dereference issue, possibly leading to a kernel panic or denial of service issue.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)buster4.19.249-2vulnerable
buster (security)4.19.304-1vulnerable
bullseye5.10.209-2vulnerable
bullseye (security)5.10.218-1vulnerable
bookworm6.1.76-1vulnerable
bookworm (security)6.1.90-1vulnerable
sid, trixie6.8.12-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsource(unstable)6.5.3-1

Notes

https://bugzilla.openanolis.cn/show_bug.cgi?id=8149
https://git.kernel.org/linus/0e881c0a4b6146b7e856735226208f48251facd8 (6.5-rc2)

Search for package or bug name: Reporting problems